## org.apache.cassandra.thrift
Enum IndexClause._Fields

    java.lang.Object
      java.lang.Enum<IndexClause._Fields>
          org.apache.cassandra.thrift.IndexClause._Fields

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<IndexClause._Fields>, org.apache.thrift.TFieldIdEnum

Enclosing class:
  IndexClause

    public static enum IndexClause._Fields

extends java.lang.Enum<IndexClause._Fields>
implements org.apache.thrift.TFieldIdEnum

The set of fields this struct contains, along with convenience methods for finding and manipulating them.

Enum Constant Summary
`COUNT`
`EXPRESSIONS`
`START_KEY`

Method Summary
`static IndexClause._Fields` `findByName(java.lang.String name)` Find the _Fields constant that matches name, or null if its not found.
`static IndexClause._Fields` `findByThriftId(int fieldId)` Find the _Fields constant that matches fieldId, or null if its not found.
`static IndexClause._Fields` `findByThriftIdOrThrow(int fieldId)` Find the _Fields constant that matches fieldId, throwing an exception if it is not found.
`java.lang.String` `getFieldName()`
`short` `getThriftFieldId()`
`static IndexClause._Fields` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static IndexClause._Fields[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EXPRESSIONS

    public static final IndexClause._Fields EXPRESSIONS

### START_KEY

    public static final IndexClause._Fields START_KEY

### COUNT

    public static final IndexClause._Fields COUNT

Method Detail

### values

    public static IndexClause._Fields[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (IndexClause._Fields c : IndexClause._Fields.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static IndexClause._Fields valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### findByThriftId

    public static IndexClause._Fields findByThriftId(int fieldId)

  Find the _Fields constant that matches fieldId, or null if its not found.

### findByThriftIdOrThrow

    public static IndexClause._Fields findByThriftIdOrThrow(int fieldId)

  Find the _Fields constant that matches fieldId, throwing an exception if it is not found.

### findByName

    public static IndexClause._Fields findByName(java.lang.String name)

  Find the _Fields constant that matches name, or null if its not found.

### getThriftFieldId

    public short getThriftFieldId()

  Specified by:
    `getThriftFieldId` in interface `org.apache.thrift.TFieldIdEnum`

### getFieldName

    public java.lang.String getFieldName()

  Specified by:
    `getFieldName` in interface `org.apache.thrift.TFieldIdEnum`

Copyright © 2012 The Apache Software Foundation